Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_OS_Log_Msg_Attributes Class Reference

The attributes required by ACE_Log_Msg. More...

`#include <OS_Log_Msg_Attributes.h>`

List of all members.

## Public Methods
| ACE_OS_Log_Msg_Attributes (void)
| Constructor.
## Protected Attributes
ACE_OSTREAM_TYPE* | ostream_
| Ostream where the new TSS Log_Msg will use.
unsigned long | priority_mask_
| Priority_mask to be used in new TSS Log_Msg.
int | tracing_enabled_
| Are we allowing tracing in this thread?
int | restart_
| Indicates whether we should restart system calls that are interrupted.
int | trace_depth_
| Depth of the nesting for printing traces.
## Friends
class | ACE_Log_Msg

## Detailed Description

The attributes required by ACE_Log_Msg.

When a new thread is created the TSS resources for the Log_Msg class in the new thread may be inherited by the creator thread. The base_attributes are encapsulated in this class to simplify their manipulation and destruction.

The contents of the class must be made available to the OS layer, because they are part of the thread descriptor.

## Constructor & Destructor Documentation

ACE_INLINE ACE_OS_Log_Msg_Attributes::ACE_OS_Log_Msg_Attributes ( | void )

| Constructor.

## Friends And Related Function Documentation

class ACE_Log_Msg`[friend]`

## Member Data Documentation

ACE_OSTREAM_TYPE * ACE_OS_Log_Msg_Attributes::ostream_`[protected]`

| Ostream where the new TSS Log_Msg will use.

unsigned long ACE_OS_Log_Msg_Attributes::priority_mask_`[protected]`

| Priority_mask to be used in new TSS Log_Msg.

int ACE_OS_Log_Msg_Attributes::restart_`[protected]`

| Indicates whether we should restart system calls that are interrupted.

int ACE_OS_Log_Msg_Attributes::trace_depth_`[protected]`

| Depth of the nesting for printing traces.

int ACE_OS_Log_Msg_Attributes::tracing_enabled_`[protected]`

| Are we allowing tracing in this thread?

The documentation for this class was generated from the following files:

- OS_Log_Msg_Attributes.h
- OS_Log_Msg_Attributes.inl